# pqxx::string_traits< const char * > Struct Template Reference
[String conversion]

String traits for C-style string ("pointer to const char"). More...

`#include <util.hxx>`

List of all members.

## Static Public Member Functions
static const char * | name ()
static bool | has_null ()
static bool | is_null (const char *t)
static const char * | null ()
static void | from_string (const char Str[], const char *&Obj)
static std::string | to_string (const char *Obj)

## Detailed Description

### template<>
struct pqxx::string_traits< const char * >

String traits for C-style string ("pointer to const char").

## Member Function Documentation

static void pqxx::string_traits< const char * >::from_string | ( | const char | Str[],
|  | const char *& | Obj |
| ) |  |  | `[static]`

static bool pqxx::string_traits< const char * >::has_null | ( |  | ) | `[static]`

static bool pqxx::string_traits< const char * >::is_null | ( | const char * | t | ) | `[static]`

static const char* pqxx::string_traits< const char * >::name | ( |  | ) | `[static]`

static const char* pqxx::string_traits< const char * >::null | ( |  | ) | `[static]`

static std ::string pqxx::string_traits< const char * >::to_string | ( | const char * | Obj | ) | `[static]`

The documentation for this struct was generated from the following file:

- util.hxx